Loading...
Searching...
No Matches
const.h File Reference

Constants used in math functions. More...

`#include <cmath>`
Include dependency graph for const.h:

## Namespaces

namespace | Math
| Namespace for (new) math code.

## Variables

const float | Math::TOLERANCE = 1e-6f
| Tolerance level – minimum accepted float value.
const float | Math::VERY_SMALL_NUM = 1e-6f
| Very small number (used in testing/returning some values).
const float | Math::VERY_BIG_NUM = 1e6f
| Very big number (used in testing/returning some values).
const float | Math::HUGE_NUM = 1.0e+38f
| Huge number.
const float | Math::PI = 3.14159265358979323846f
| PI.
const float | Math::DEG_TO_RAD = 0.01745329251994329547f
| Degrees to radians multiplier.
const float | Math::RAD_TO_DEG = 57.29577951308232286465f
| Radians to degrees multiplier.
const float | Math::LOG_2 = log(2.0f)
| Natural logarithm of 2.

## Detailed Description

Constants used in math functions.